/// <reference types="node" />
import { EventEmitter } from 'events';
import { Release } from '../app';
export interface LocalReleaseOptions {
    noWatch?: boolean;
}
export declare function getLocalRelease(cwd?: string, env?: string, options?: LocalReleaseOptions): LocalRelease;
export interface FlyConfig {
    app?: string;
    app_id?: string;
    config?: any;
    files?: string[];
    expandedFiles?: string[];
}
export declare class LocalRelease extends EventEmitter implements Release {
    cwd: string;
    env: string;
    app: string;
    version: number;
    source: string;
    source_hash: string;
    source_map?: string;
    hash?: string;
    config: any;
    secrets: any;
    files: string[];
    constructor(cwd?: string, env?: string, options?: LocalReleaseOptions);
    getConfig(): FlyConfig;
    expandFiles(config: FlyConfig): boolean | undefined;
    getSecrets(): {};
    watchConfig(): void;
    update(event: string, path: string): void;
}
export declare function getEnv(): string;
